/***文档注释***********************************************
 * 作者            ：bin.pan
 * 创建日期     ：2018-09-19
 * 描述            ：罩退计划进程表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Mes.anneal.Design.vo;
import java.io.Serializable;

import market.Mes.anneal.Design.mapper.PlnAnPlanStatisticMapper;

import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="PLN_AN_PLAN_STATISTIC", namespace=PlnAnPlanStatisticMapper.class)
public class PlnAnPlanStatistic extends BaseVO implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	/** 
	 * 序列号
	 */ 
	@Id
	private String serial_no;
	public String getSerial_no() {
		return this.serial_no;
	}
	public void setSerial_no(String serial_no) {
		this.serial_no = serial_no;
	}

	/** 
	 * 罩退计划号
	 */ 
	@Column
	private String an_plan_no;
	public String getAn_plan_no() {
		return this.an_plan_no;
	}
	public void setAn_plan_no(String an_plan_no) {
		this.an_plan_no = an_plan_no;
	}

	/** 
	 * 总原料量
	 */ 
	@Column
	private Double mat_planed;
	public Double getMat_planed() {
		return this.mat_planed;
	}
	public void setMat_planed(Double mat_planed) {
		this.mat_planed = mat_planed;
	}

	/** 
	 * 总原料数
	 */ 
	@Column
	private Integer mat_planed_cnt;
	public Integer getMat_planed_cnt() {
		return this.mat_planed_cnt;
	}
	public void setMat_planed_cnt(Integer mat_planed_cnt) {
		this.mat_planed_cnt = mat_planed_cnt;
	}

	/** 
	 * 总成品量
	 */ 
	@Column
	private Double planed;
	public Double getPlaned() {
		return this.planed;
	}
	public void setPlaned(Double planed) {
		this.planed = planed;
	}

	/** 
	 * 总成品数
	 */ 
	@Column
	private Integer planed_cnt;
	public Integer getPlaned_cnt() {
		return this.planed_cnt;
	}
	public void setPlaned_cnt(Integer planed_cnt) {
		this.planed_cnt = planed_cnt;
	}

	/** 
	 * 已罩退_原料量
	 */ 
	@Column
	private Double mat_an;
	public Double getMat_an() {
		return this.mat_an;
	}
	public void setMat_an(Double mat_an) {
		this.mat_an = mat_an;
	}

	/** 
	 * 已罩退_原料数
	 */ 
	@Column
	private Long mat_an_cnt;
	public Long getMat_an_cnt() {
		return this.mat_an_cnt;
	}
	public void setMat_an_cnt(Long mat_an_cnt) {
		this.mat_an_cnt = mat_an_cnt;
	}

	/** 
	 * 已罩退_成品量
	 */ 
	@Column
	private Double an;
	public Double getAn() {
		return this.an;
	}
	public void setAn(Double an) {
		this.an = an;
	}

	/** 
	 * 已罩退_成品数
	 */ 
	@Column
	private Long an_cnt;
	public Long getAn_cnt() {
		return this.an_cnt;
	}
	public void setAn_cnt(Long an_cnt) {
		this.an_cnt = an_cnt;
	}

	/** 
	 * 退火退废_原料量
	 */ 
	@Column
	private Double mat_an_wasted;
	public Double getMat_an_wasted() {
		return this.mat_an_wasted;
	}
	public void setMat_an_wasted(Double mat_an_wasted) {
		this.mat_an_wasted = mat_an_wasted;
	}

	/** 
	 * 退火退废_原料数
	 */ 
	@Column
	private Long mat_an_wasted_cnt;
	public Long getMat_an_wasted_cnt() {
		return this.mat_an_wasted_cnt;
	}
	public void setMat_an_wasted_cnt(Long mat_an_wasted_cnt) {
		this.mat_an_wasted_cnt = mat_an_wasted_cnt;
	}

	/** 
	 * 退火退废_成品量
	 */ 
	@Column
	private Double an_wasted;
	public Double getAn_wasted() {
		return this.an_wasted;
	}
	public void setAn_wasted(Double an_wasted) {
		this.an_wasted = an_wasted;
	}

	/** 
	 * 退火退废_成品数
	 */ 
	@Column
	private Long an_wasted_cnt;
	public Long getAn_wasted_cnt() {
		return this.an_wasted_cnt;
	}
	public void setAn_wasted_cnt(Long an_wasted_cnt) {
		this.an_wasted_cnt = an_wasted_cnt;
	}

	/** 
	 * 罩退脱单_原料量
	 */ 
	@Column
	private Double mat_an_divorced;
	public Double getMat_an_divorced() {
		return this.mat_an_divorced;
	}
	public void setMat_an_divorced(Double mat_an_divorced) {
		this.mat_an_divorced = mat_an_divorced;
	}

	/** 
	 * 罩退脱单_原料数
	 */ 
	@Column
	private Long mat_an_divorced_cnt;
	public Long getMat_an_divorced_cnt() {
		return this.mat_an_divorced_cnt;
	}
	public void setMat_an_divorced_cnt(Long mat_an_divorced_cnt) {
		this.mat_an_divorced_cnt = mat_an_divorced_cnt;
	}

	/** 
	 * 罩退充当_原料量
	 */ 
	@Column
	private Double mat_an_replaced;
	public Double getMat_an_replaced() {
		return this.mat_an_replaced;
	}
	public void setMat_an_replaced(Double mat_an_replaced) {
		this.mat_an_replaced = mat_an_replaced;
	}

	/** 
	 * 罩退充当_原料数
	 */ 
	@Column
	private Long mat_an_replaced_cnt;
	public Long getMat_an_replaced_cnt() {
		return this.mat_an_replaced_cnt;
	}
	public void setMat_an_replaced_cnt(Long mat_an_replaced_cnt) {
		this.mat_an_replaced_cnt = mat_an_replaced_cnt;
	}

	/** 
	 * 补退原料重
	 */ 
	@Column
	private Double extra_an;
	public Double getExtra_an() {
		return this.extra_an;
	}
	public void setExtra_an(Double extra_an) {
		this.extra_an = extra_an;
	}

	/** 
	 * 补退原料数
	 */ 
	@Column
	private Long extra_an_cnt;
	public Long getExtra_an_cnt() {
		return this.extra_an_cnt;
	}
	public void setExtra_an_cnt(Long extra_an_cnt) {
		this.extra_an_cnt = extra_an_cnt;
	}

	/** 
	 * 补退次数
	 */ 
	@Column
	private Long extra_an_times;
	public Long getExtra_an_times() {
		return this.extra_an_times;
	}
	public void setExtra_an_times(Long extra_an_times) {
		this.extra_an_times = extra_an_times;
	}

	/** 
	 * 成品充当次数
	 */ 
	@Column
	private Long replaced_times;
	public Long getReplaced_times() {
		return this.replaced_times;
	}
	public void setReplaced_times(Long replaced_times) {
		this.replaced_times = replaced_times;
	}

	/** 
	 * 成品脱单次数
	 */ 
	@Column
	private Long divorced_times;
	public Long getDivorced_times() {
		return this.divorced_times;
	}
	public void setDivorced_times(Long divorced_times) {
		this.divorced_times = divorced_times;
	}

}
